For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Get a simulation

||View as Markdown|
GET
/simulations/:simulation_id
GET
/v2/simulations/:simulation_id
$curl https://api.synthflow.ai/v2/simulations/simulation_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "simulation_id": "string",
5 "simulation_session_id": "string",
6 "simulation_case_id": "string",
7 "simulation_case_name": "string",
8 "simulation_case_prompt": "string",
9 "success_criteria": [
10 "string"
11 ],
12 "call_success_type": "all",
13 "persona_agent_id": "string",
14 "persona_phone_number": "string",
15 "target_agent_id": "string",
16 "agent_name": "string",
17 "agent_avatar_url": "string",
18 "target_phone_number": "string",
19 "target_call_id": "string",
20 "custom_variables": {},
21 "status": "in-progress",
22 "workspace_id": "string",
23 "created_at": "2024-01-15T09:30:00Z",
24 "updated_at": "2024-01-15T09:30:00Z",
25 "error_info": {
26 "message": "string",
27 "code": 1,
28 "type": "string"
29 },
30 "recording_url": "string",
31 "timeline": [
32 {
33 "sender_type": "string",
34 "value": "string",
35 "type": "string",
36 "timestamp_datetime": "2024-01-15T09:30:00Z",
37 "timestamp": 1.1
38 }
39 ],
40 "success_criteria_analysis": {
41 "success": true,
42 "evaluations": [
43 {
44 "success": true,
45 "reasoning": "string"
46 }
47 ]
48 }
49 }
50}
Retrieve a simulation by ID.
Was this page helpful?
Previous

List actions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

simulation_idstringRequiredformat: "uuid"
Simulation ID.

Response

200
statusstring
Whether the request was successful.
responseobject
Simulation details.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error